zn=xlsread('feds200628.xls','Sheet1','A9353:L12117');  %Jan 1999-Dec 2009
g=find(zn(1:end-1,2)~=zn(2:end,2));
zn=zn(g,:);
for j=1:size(zn,1);
    sn(j,1)=svenssonf(zn(j,6:11)',10);
%    sn(j,1)=svenssonzc(zn(j,6:11)',10)-svenssonzc(zn(j,6:11)',5); 
end;
zr=xlsread('feds200805.xls','Sheet1','A2:I2776');  %Jan 1999-Dec 2009
g=find(zr(1:end-1,2)~=zr(2:end,2));
zr=zr(g,:);
for j=1:size(zr,1);
    sr(j,1)=svenssonf(zr(j,4:9)',10);
%    sr(j,1)=svenssonzc(zr(j,4:9)',10)-svenssonzc(zr(j,4:9)',5); 
end;
zndate=zn(:,1)+(zn(:,2)/12);
zrdate=zr(:,1)+(zr(:,2)/12);

%plot(zndate,sn,'--','Linewidth',3);
%hold on;
%plot(zrdate,sr,'r-','Linewidth',3);
%ylabel('Percentage Points','FontSize',16,'FontName','Times');
%legend('Nominal','Real');
%set(gca,'FontSize',16,'FontName','Times')


[AX,H1,H2]=plotyy(zndate,sn,zrdate,sr,'plot');
set(H1,'LineStyle','-','Linewidth',3);
set(H2,'LineStyle','--','Linewidth',3);
set(get(AX(1),'Ylabel'),'String','Percentage Points','Fontsize',16);
set(get(AX(2),'Ylabel'),'String','Percentage Points','Fontsize',16);
set(AX(1),'Fontsize',16)
set(AX(2),'Fontsize',16)
set(AX(2),'Ytick',[1;2;3;4;5])
ylim(AX(1),[4 8]);
ylim(AX(2),[1 5]);
xlim(AX(1),[1999 2010.5]);
xlim(AX(2),[1999 2010.5]);
legend([H1;H2],'Nominal (left scale)','Real (right scale)','Location','Northeast');

figure(2);
[AX,H1,H2]=plotyy(zndate,sn,zrdate,sn-sr,'plot');
set(H1,'LineStyle','-','Linewidth',3);
set(H2,'LineStyle','--','Linewidth',3);
set(get(AX(1),'Ylabel'),'String','Percentage Points','Fontsize',16);
set(get(AX(2),'Ylabel'),'String','Percentage Points','Fontsize',16);
set(AX(1),'Fontsize',16)
set(AX(2),'Fontsize',16)
set(AX(2),'Ytick',[1;2;3;4;5])
ylim(AX(1),[4 8]);
ylim(AX(2),[1 5]);
xlim(AX(1),[1999 2010.5]);
xlim(AX(2),[1999 2010.5]);
legend([H1;H2],'Nominal (left scale)','Inflation (right scale)','Location','Northeast');

